﻿using UnityEngine;
using System.Collections;

public class PlayerController : MonoBehaviour {

	public float movespeed = 5f;
	public float jumpVel = 50f;

	private Animator animator;
	private Rigidbody2D physiscBody;
	private GameObject fallCollider;

	private Vector2 touchOrigin = -Vector2.one;
	// Use this for initialization
	void Start () {
		animator = this.GetComponent<Animator>();
		physiscBody = GetComponent<Rigidbody2D>();
		fallCollider = GameObject.Find("FallCollider");
	}

	void FixedUpdate () {

		if (Input.GetKey (KeyCode.Escape))
			Application.Quit ();

		bool grounded = false;
		RaycastHit2D hit = Physics2D.Raycast(transform.position + new Vector3(0,-2,0), new Vector3(0,1,0));

		if(hit.distance < 0.02 && hit.collider.gameObject != fallCollider)
			grounded = true;

		Vector3 oldVel = physiscBody.velocity;

		Vector3 dv = new Vector3 (0,0, 0);
		bool move = false;

		bool left = false;
		bool right = false;
		bool up = false;

#if UNITY_STANDALONE || UNITY_WEBPLAYER
		left = Input.GetKey ("left") || Input.GetAxis ("Horizontal") < 0;
		right = Input.GetKey ("right") || Input.GetAxis ("Horizontal") > 0;
		up = (Input.GetKey("up") || Input.GetAxis("Vertical") > 0)&& grounded;
#else
		if (Input.touchCount > 0)
		{
			Touch myTouch = Input.touches[0];
			if (myTouch.phase == TouchPhase.Began)
			{
				touchOrigin = myTouch.position;
			}
			
			else if (myTouch.phase == TouchPhase.Stationary)// && touchOrigin.x >= 0)
			{
				Vector2 touchEnd = myTouch.position;
				float x = touchEnd.x - touchOrigin.x;
				float y = touchEnd.y - touchOrigin.y;
				
				//touchOrigin.x = -1;
				
				left = x < -35;
				right = x > 35;
				up = y > 35 && grounded;
			}
		}
#endif

		if (right)
		{
			move = true;
			dv += new Vector3(movespeed,0,0);
		}
		if (left)
		{
			move = true;
			dv += new Vector3(-movespeed,0,0);
		}
		if (up)
		{
			move = true;
			dv += new Vector3(0,jumpVel,0);
		}

		if(move == true)
			animator.SetInteger("PlayerState", 1);
		else
			animator.SetInteger("PlayerState", 0);

		Vector3 newVel = oldVel + dv;
		physiscBody.velocity = newVel;

		Vector3 oldScale = transform.localScale;
		if (newVel.x < 0) {
			transform.localScale = new Vector3 (-Mathf.Abs (oldScale.x), oldScale.y, oldScale.z);
		}
		else{
			transform.localScale = new Vector3 (Mathf.Abs (oldScale.x), oldScale.y, oldScale.z);
		}



	}
}
