﻿using UnityEngine;
using UnityEngine.UI;
using System.Collections;

public class PlayerStatus : MonoBehaviour {
	public int life = 3;
	public int points;
	GameObject guiScore;
	GameObject guiHealth1;
	GameObject guiHealth2;
	GameObject guiHealth3;
	GameObject guiGameOver;

	// Use this for initialization
	void Start () {
		guiScore = GameObject.FindGameObjectWithTag ("GUI_Score");
		guiHealth1 = GameObject.FindGameObjectWithTag ("GUI_Health1");
		guiHealth3 = GameObject.FindGameObjectWithTag ("GUI_Health2");
		guiHealth2 = GameObject.FindGameObjectWithTag ("GUI_Health3");
		guiGameOver = GameObject.FindGameObjectWithTag ("GUI_GameOver");
	}

	float gameOverTime = 0;
	// Update is called once per frame
	void Update () {
		if (life <= -1) {
			gameOverTime += Time.deltaTime;
			if(gameOverTime > 3.0f)
				Application.LoadLevel("mainmenu");
		}
	}

	public void addPoints(int point)
	{
		points += point;
		guiScore.GetComponent<Text>().text = System.Convert.ToString (points);
	}

	public void decreaseLife()
	{
		life--;
		updateLifeGUI();
	}

	public void increaseLife()
	{
		life++;
		updateLifeGUI();
	}

	public void Die()
	{
		life = -1;
		updateLifeGUI();
	}

	void updateLifeGUI()
	{
		GameObject[] hearths = {guiHealth1, guiHealth2, guiHealth3};
		for (int i = 0; i < hearths.Length; ++i) 
		{
			if(life > i)
			{
				hearths[i].GetComponent<Image>().enabled = true;
			}
			else
			{
				hearths[i].GetComponent<Image>().enabled = false;
			}
		}

		if (life == -1) {
			guiGameOver.GetComponent<Image> ().enabled = true;			
		}
	}
}
